package org.chenyang.http.client;

import org.chenyang.http.auth.AuthScope;
import org.chenyang.http.auth.Credentials;

public interface CredentialsProvider {
   void setCredentials(AuthScope var1, Credentials var2);

   Credentials getCredentials(AuthScope var1);

   void clear();
}
